# CoreGui

CoreGui : `Instance`

## Overview

조이스틱, 채팅창 등 시스템 UI 요소를 관리하는 전용 서비스로, 게임 내에서 공통적으로 제공되는 기본 인터페이스를 구성하는 데 사용됩니다.

CoreGui는 시스템에 내장된 UI만을 위한 위한 전용 공간이므로, 스크립트를 통해 UI를 추가할 수는 없지만, StarterGui:SetCoreGuiEnabled()를 사용하여 일부 CoreGui 요소의 표시 여부를 제어할 있습니다.

## Properties

## Methods

## Events

## See also

{% content-ref url="/pages/KiXAGwJU8cox0tGXdepn" %}
[모바일 조작 처리](/korean/manual/script-manual/input-and-controls/contextactionservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/coregui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
